Marketing

Get vendor coupon list

get
/admin-coupon/admin-coupon-list

Retrieves a list of vendor coupons based on the provided filters.

Query parameters
limitintegerOptional

The maximum number of coupons to return.

Default: 10
offsetintegerOptional

The number of coupons to skip before starting to collect the result set.

Default: 0
countintegerOptional

A flag to indicate whether to return the count of coupons.

Default: 0
Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
chevron-right
200

Successfully retrieved the vendor coupon list.

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got vendor Coupon list.
get
/admin-coupon/admin-coupon-list

Get complete product list

get
/product

Retrieves the complete list of products based on the provided filters.

Query parameters
offsetintegerOptional

The number of products to skip before starting to collect the result set.

Default: 0
limitintegerOptional

The maximum number of products to return.

Default: 0
keywordstringOptional

Search keyword for filtering products.

skustringOptional

SKU for filtering products.

statusstringOptional

Status of the products to filter.

priceintegerOptional

Price filter for products.

Default: 0
Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
chevron-right
200

Successfully retrieved the complete product list.

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got the complete product list.
get
/product

Add a new coupon

post
/admin-coupon/add-coupon
Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
couponCodestringRequired
couponNamestringRequired
couponTypestringRequired
discountstringRequired
minimumPurchaseAmountstringRequired
maximumPurchaseAmountstringRequired
emailRestrictionsstringRequired
maxUserPerCouponstringRequired
noOfTimeCouponValidPerUserstringRequired
statusstringRequired
appliedCartItemsCountintegerRequired
startDatestring · dateRequired
endDatestring · dateRequired
allQualifyingItemsApplyintegerRequired
Responses
chevron-right
200

Coupon Created Successfully.

application/json
statusintegerOptional
messagestringOptional
post
/admin-coupon/add-coupon
200

Coupon Created Successfully.

Get Vendor Coupon Detail

get
/admin-coupon/coupon-detail
Query parameters
vendorCouponIdintegerRequired
Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
chevron-right
200

Successfully got Vendor Coupon Detail.

application/json
statusintegerOptional
messagestringOptional
get
/admin-coupon/coupon-detail
200

Successfully got Vendor Coupon Detail.

Update an existing coupon

put
/admin-coupon/update-coupon/{couponId}
Path parameters
couponIdintegerRequired
Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
couponCodestringRequired
couponNamestringRequired
couponTypestringRequired
discountstringRequired
minimumPurchaseAmountintegerRequired
maximumPurchaseAmountintegerRequired
emailRestrictionsstringRequired
maxUserPerCouponintegerRequired
noOfTimeCouponValidPerUserintegerRequired
statusstringRequired
appliedCartItemsCountintegerRequired
startDatestring · dateRequired
endDatestring · dateRequired
allQualifyingItemsApplyintegerRequired
couponIdstringRequired
Responses
chevron-right
200

Coupon Updated Successfully.

application/json
statusintegerOptional
messagestringOptional
put
/admin-coupon/update-coupon/{couponId}
200

Coupon Updated Successfully.

Delete a coupon

delete
/delete-coupon/{couponId}

Deletes the specified coupon by ID

Path parameters
couponIdintegerRequired

ID of the coupon to delete

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
chevron-right
200

Successfully deleted the coupon

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully deleted Coupon
delete
/delete-coupon/{couponId}

Get product list

get
/product-list

Retrieves a list of products with optional limit and offset parameters.

Query parameters
limitintegerOptional

The number of products to retrieve

offsetintegerOptional

The number of products to skip before starting to collect results

countintegerOptional

If set to 1, returns the total count of products

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
chevron-right
200

Successfully retrieved the product list

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got the complete product list
get
/product-list
get
/product-related-detail/{productId}

Retrieves the details of a specific product by its ID.

Path parameters
productIdintegerRequired

ID of the product to retrieve details for

Query parameters
productIdintegerOptional

Product ID in query parameter

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
chevron-right
200

Successfully retrieved the product details

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: successfully got the details of given product id
get
/product-related-detail/{productId}

Update related products

post
/update-product-related

Updates the related products for a given product.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
productIdintegerRequired

ID of the product to update related products for

relatedProductIdinteger[]Required

Array of related product IDs to associate with the given product

Responses
chevron-right
200

Successfully updated the related products

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: successfully updated the related products
post
/update-product-related

Last updated